///////////////////////////////////////////////////////////////
//Shared:

textures/el_ufo/ufo_skybox
{
        
	q3map_lightimage textures/el_ufo/lightref00.tga
        qer_editorimage textures/el_ufo/el_skybox.tga
        q3map_surfacelight 115
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 110 60 
	skyParms env/ufostars 512 -
}

textures/el_ufo/ufo_botclip
{
   qer_editorimage textures/common/blocknpc.tga
   qer_trans 0.45
   surfaceparm nodraw
   surfaceparm noimpact
   surfaceparm nomarks
   surfaceparm nonsolid
   surfaceparm trans
   surfaceparm botclip
}

///////////////////////////////////////////////////////////////
//Borg:

///////////////////////////////////////////////////////////////
//Environement:

textures/el_ufo/cubehull
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_ufo/cubehull.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

///////////////////////////////////////////////////////////////
//Alpha:

textures/el_ufo/borg_grill
{
    qer_editorimage textures/borg/basic1.tga
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/borg/basic1.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_ufo/borg_grill1
{
    qer_editorimage textures/borg/bars2.tga
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/borg/bars2.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_ufo/borg_givearmor
{
    qer_editorimage textures/el_ufo/borg_givepad01.tga
    {
        map $lightmap
    }
    {
        map textures/el_ufo/borg_givepad00.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_ufo/borg_givepad01.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

textures/el_ufo/borg_givehealth
{
    qer_editorimage textures/el_ufo/borg_givepad02.tga
    {
        map $lightmap
    }
    {
        map textures/el_ufo/borg_givepad00.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_ufo/borg_givepad02.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 2 0 0.5
    }
}

///////////////////////////////////////////////////////////////
//ecrants anims:

textures/el_ufo/flatscreen00
{
    qer_editorimage textures/borg/panel_yf1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/borg/flatscreen_plain.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        animMap 0.6 textures/borg/panel_yf1.tga textures/borg/panel_yf6.tga textures/borg/panel_yf1.tga textures/borg/panel_yf3.tga textures/borg/panel_yf4.tga textures/borg/panel_yf3.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/detail/gleam2.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        detail
        alphaGen lightingSpecular
    }
}

textures/el_ufo/flatscreen01
{
    qer_editorimage textures/borg/panel_yf2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/borg/flatscreen_plain.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        animMap 0.5 textures/borg/panel_yf2.tga textures/borg/panel_yf7.tga textures/borg/panel_yf8.tga textures/borg/panel_yf3.tga textures/borg/panel_yf5.tga textures/borg/panel_yf6.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/detail/gleam2.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        detail
        alphaGen lightingSpecular
    }
}

textures/el_ufo/flatscreen02
{
    qer_editorimage textures/borg/miniscreen4.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/borg/miniscreen2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        animMap 1.7 textures/borg/miniscreen4.tga textures/borg/miniscreen4a.tga textures/borg/miniscreen4.tga textures/borg/miniscreen4a.tga textures/borg/miniscreen4.tga textures/borg/miniscreen4a.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/borg/spec/miniscreen_spec.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        detail
        alphaGen lightingSpecular
    }
}

///////////////////////////////////////////////////////////////
//Federation:

///////////////////////////////////////////////////////////////
//Environement:

textures/el_ufo/fedhull
{
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_ufo/fedhull.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}


textures/el_ufo/mainscreen
{
    qer_editorimage textures/el_ufo/mainscreen.tga
    q3map_surfacelight 50
    surfaceparm nolightmap
    {
        map textures/el_ufo/mainscreen.tga
    }
}

textures/el_ufo/torpedotube
{
    qer_editorimage textures/el_ufo/torpedotube.tga
    q3map_surfacelight 150
    surfaceparm nolightmap
    {
        map textures/el_ufo/torpedotube.tga
    }
}

textures/el_ufo/fedfield_nonsolid
{
    qer_editorimage textures/borg/static2.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm forcefield
    cull disable
    {
        map textures/borg/static2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave random 0 1 0 0.8
        tcMod scroll 1292.7 11233.9
    }
}

textures/el_ufo/fedfield_01
{
    qer_editorimage textures/borg/static2.tga
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm forcefield
    cull disable
    {
        map textures/borg/static2.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/el_ufo/phaserstrip
{
    {
        map textures/el_ufo/phaserstrip.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/gleam2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_ufo/deflector
{
    qer_editorimage textures/el_ufo/deflector.tga
    q3map_surfacelight 100
    surfaceparm nolightmap
    {
        map textures/el_ufo/deflector.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/gleam3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_ufo/padarmor_fed
{
    {
        map textures/el_ufo/padarmor_fed.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/gleam3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_ufo/padhealth_fed
{
    {
        map textures/el_ufo/padhealth_fed.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/detail/gleam3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

///////////////////////////////////////////////////////////////
//crants animes:

textures/el_ufo/s_helm_00
{
    qer_editorimage textures/el_ufo/s_helm_00.tga
    surfaceparm nolightmap
    surfaceparm pointlight
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/el_ufo/s_helm_00.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/el_ufo/s_helm_00.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 4 textures/el_ufo/s_helm_00.tga textures/el_ufo/s_helm_01.tga textures/el_ufo/s_helm_02.tga textures/el_ufo/s_helm_03.tga textures/el_ufo/s_helm_04.tga
        blendFunc GL_ONE GL_ONE
    }
}

///////////////////////////////////////////////////////////////
//Dcalques:

textures/el_ufo/d_entremise_00
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_ufo/d_entremise_00.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_ufo/d_entremise_01
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_ufo/d_entremise_01.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_ufo/d_lignerouge
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_ufo/d_lignerouge.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_ufo/d_logo
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_ufo/d_logo.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

///////////////////////////////////////////////////////////////
//Fin.